#ifndef __UPDATER_H_
#define __UPDATER_H_

/**
 * @file updater.h
 *
 * Warzone2100 Updater.
 *
 * For all platforms that have got: 
 *   - libCurl
 *   - libBz2
 *
 * To everyone at the wz2100 forums. Enjoy :)
 *
 * @author noccy <noccy@chillat.net>
 * @version 1.0
 * @license GPL
 */

#include <curl/curl.h>

typedef unsigned int uint32;
typedef unsigned long uint16;
typedef unsigned char uint8;
typedef struct update_info {
	uint16 index;
	uint16 total;
	const char* filename;
	const char* my_version;
	const char* new_version;
	const char* hash;
	uint32 size;
} UPDATE_INFO;


int main(int argc, char** argv);

int updaterCheckForUpdates(const char* version);
int updaterGetUpdateManifest(const char* version);
UPDATE_INFO updaterGetUpdateInfo(void);
int updaterDoUpdate(void* callback);
void print_usage(void);

#endif // __UPDATER_H_
