#include "wzdb.h"
#include "stdio.h"

FILE* wz_db; 

/**
 * @brief Initialize database structures
 * @return int Always 1 unless someting went wrong.
 */
int init_wz_db() {

	return 1;

}

/**
 * @brief Opens the database
 *
 * @return int 1 if successful.
 */
int open_wz_db() {

	wz_db = fopen("wzupdate.db","r");
	if (!wz_db) {
		// Need to create new db.
	}
	return 1;

}

/**
 * @brief Close the database
 *
 * @return int Always 1 unless someting went wrong.
 */
int close_wz_db() {

	if (wz_db) fclose(wz_db);
	return 1;
	
}

/** 
 * @brief Scan through db, grab the md5, compare it and return result.
 *
 * Returns:
 *   0 if file hash is identical,
 *   1 if file hash differs, 
 *   2 if file not in db (new file)
 * @param const char* File name to match
 * @param const char* The MD5 to match against
 * @return int Status
 */
int entry_match_md5(const char* file, const char* md5) {

	return 2;

}

